%global moz_extensions %{_datadir}/mozilla/extensions

%global firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%global src_ext_id wayback_machine@mozilla.org
%global firefox_inst_dir %{moz_extensions}/%{firefox_app_id}

Name:           mozilla-wayback-machine
Version:        3.2
Release:        %{autorelease}
Summary:        The Official Wayback Machine Extension - by the Internet Archive.

License:        GPL-3.0-only
URL:            https://archive.org/
Source0:        https://addons.mozilla.org/firefox/downloads/file/4047136/wayback_machine_new-%{version}.xpi
Source1:        mozilla-wayback-machine.metainfo.xml



Requires:       mozilla-filesystem
# GNOME Software Center not present on EL < 7
%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires:  libappstream-glib
%endif
BuildArch:      noarch


%description
The Official Wayback Machine Extension - by the Internet Archive.

%prep
%setup -q -c

%build


%install
install -Dpm644 %{SOURCE0} %{buildroot}%{firefox_inst_dir}/%{src_ext_id}.xpi
install -Dpm644 %{SOURCE1} %{buildroot}%{_metainfodir}/%{name}.metainfo.xml
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%files
%{firefox_inst_dir}/%{src_ext_id}.xpi
# GNOME Software Center metadata
%if 0%{?fedora} || 0%{?rhel} >= 7
%{_metainfodir}/%{name}.metainfo.xml
%endif


%changelog
%autochangelog
